Method: projects.locations.runtimes.switch

Mengganti Managed Notebook Runtime.

Permintaan HTTP

POST https://notebooks.googleapis.com/v1/{name}:switch

Parameter jalur

Parameter
name

string

Wajib. Format: projects/{projectId}/locations/{location}/runtimes/{runtimeId}

Otorisasi memerlukan izin IAM berikut pada name resource yang ditentukan:

  • notebooks.runtimes.switch

Isi permintaan

Isi permintaan memuat data dengan struktur berikut:

Representasi JSON
{
  "machineType": string,
  "acceleratorConfig": {
    object (RuntimeAcceleratorConfig)
  },
  "requestId": string
}
Kolom
machineType

string

jenis mesin.

acceleratorConfig

object (RuntimeAcceleratorConfig)

konfigurasi akselerator.

requestId

string

UUID permintaan idempoten.

Isi respons

Jika berhasil, isi respons akan memuat instance Operation.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

Untuk mengetahui informasi selengkapnya, lihat Authentication Overview.